### Constructor

# Fwupd BiosSetting new

#### Declaration [src]

    FwupdBiosSetting*
    fwupd_bios_setting_new (
      const gchar* name,
      const gchar* path
    )

#### Description [src]

Creates a new bios setting.

Available since: | 1.8.4

#### Parameters

`name` | `const gchar*`
| The attribute name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`path` | `const gchar*`
| The path the driver providing this attribute uses.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdBiosSetting`
| A new `FwupdBiosSetting`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.